Package Details: get_iplayer 3.26-1

Git Clone URL: https://aur.archlinux.org/get_iplayer.git (read-only, click to copy)
Package Base: get_iplayer
Description: Allows you to download or stream any iPlayer programme from the BBC in H.264 (Quicktime/mp4) format, any radio programmes in MP3 or RealAudio format
Upstream URL: https://github.com/get-iplayer/get_iplayer/
Keywords: bbc internet iplayer multimedia radio tv
Licenses: GPL3
Submitter: Sacro
Maintainer: alexmerry
Last Packager: alexmerry
Votes: 102
Popularity: 0.178161
First Submitted: 2008-10-09 03:05
Last Updated: 2020-06-28 22:15

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

android_808 commented on 2012-11-04 22:04

I have an updated version of this PKGBUILD, with a working .desktop file for the web PVR manager. Similar to Debian's get_iplayer_web_pvr, but it adds another script file to automatically open the users preferred browser at the managers address.

Let me know if anyone if you want it uploaded. Only issue is the icon, I'm using one from the iPlayer site.

willemw commented on 2012-03-10 12:15

Please add "atomicparsley", "id3v2" and "mplayer" as opt depend to this and the get_iplayer-git package.

AlexP commented on 2012-01-18 21:14

perl-net-http is also needed.

Anonymous comment on 2012-01-18 21:05

I'm also getting the same error that @Chris_tian posted.

c-mauderer commented on 2012-01-16 11:05

There seems to be one further dependency: perl-http-cookies

Without this package I get the following error if I try to start get_iplayer:
Can't locate HTTP/Cookies.pm in @INC (@INC contains: /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/bin/get_iplayer line 60.
BEGIN failed--compilation aborted at /usr/bin/get_iplayer line 60.

Anonymous comment on 2011-07-15 12:50

@fastfret79 Hi. Thanks. I appreciate it.

Anonymous comment on 2011-07-14 10:00

@carukia Their website (http) is up but their FTP is down. I've emailed them to make sure they know.

In the meantime, if you're desperate to get get_iplayer installed, install the git version which is still accessible: http://aur.archlinux.org/packages.php?ID=48774

Anonymous comment on 2011-07-14 08:28

I'm getting the following error -
Connecting to ftp.infradead.org|85.118.1.10|:21... failed: Connection refused.
Connecting to ftp.infradead.org|2001:770:15f::2|:21... failed: Network is unreachable.
==> ERROR: Failure while downloading get_iplayer-2.79.tar.gz
Aborting...

infradead.org seems to be dead.

Anonymous comment on 2011-06-29 10:02

Can't reproduce your error GalacticArachnid - are you getting the error on building or running?

Is your system (particularly perl-html-parser package) up-to-date? My Parser.so sits in /usr/lib/perl5/vendor_perl/auto/HTML/Parser/Parser.so Are you using a different version to the extra repo?

GalacticArachnid commented on 2011-06-29 08:18

Removal of Perl_Istack_sp_ptr in latest perl update (5.14.1-1) breaks package..


/usr/bin/perl: symbol lookup error: /usr/lib/perl5/site_perl/auto/HTML/Parser/Parser.so: undefined symbol: Perl_Istack_sp_ptr